summaryrefslogtreecommitdiffstats
path: root/source/l/pygobject3/pygobject3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pygobject3/pygobject3.SlackBuild')
-rwxr-xr-xsource/l/pygobject3/pygobject3.SlackBuild48
1 files changed, 25 insertions, 23 deletions
diff --git a/source/l/pygobject3/pygobject3.SlackBuild b/source/l/pygobject3/pygobject3.SlackBuild
index 0da0e0fcb..e8108d3d8 100755
--- a/source/l/pygobject3/pygobject3.SlackBuild
+++ b/source/l/pygobject3/pygobject3.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pygobject3
SRCNAM=pygobject
VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -113,28 +113,30 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-# Configure, build, and install (python2 version):
-export CFLAGS="$SLKCFLAGS"
-export CXXFLAGS="$SLKCFLAGS"
-mkdir meson-build
-cd meson-build
-meson setup \
- --prefix=/usr \
- --libdir=lib${LIBDIRSUFFIX} \
- --libexecdir=/usr/libexec \
- --bindir=/usr/bin \
- --sbindir=/usr/sbin \
- --includedir=/usr/include \
- --datadir=/usr/share \
- --mandir=/usr/man \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --buildtype=release \
- -Dpython=python \
- .. || exit 1
- ninja || exit 1
- DESTDIR=$PKG ninja install || exit 1
-cd ..
+## Obsolete. I guess we'll see if anyone misses it and if so possibly stick
+## a copy with the other python2 stuff.
+## Configure, build, and install (python2 version):
+#export CFLAGS="$SLKCFLAGS"
+#export CXXFLAGS="$SLKCFLAGS"
+#mkdir meson-build
+#cd meson-build
+#meson setup \
+# --prefix=/usr \
+# --libdir=lib${LIBDIRSUFFIX} \
+# --libexecdir=/usr/libexec \
+# --bindir=/usr/bin \
+# --sbindir=/usr/sbin \
+# --includedir=/usr/include \
+# --datadir=/usr/share \
+# --mandir=/usr/man \
+# --sysconfdir=/etc \
+# --localstatedir=/var \
+# --buildtype=release \
+# -Dpython=python \
+# .. || exit 1
+# ninja || exit 1
+# DESTDIR=$PKG ninja install || exit 1
+#cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true